using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace FWHandler
{
    public class AppHandler
    {
        IFWApps controller;
        public AppHandler(IFWApps controller)
        {
            this.controller = controller;
        }
        public void AppStart(string url, int timing = 0)
        {
            controller.AppInicialize(url, timing);
        }

        public void AppClose(int timing = 0)
        {
            controller.AppClose(timing);
        }

        public void AppAttachNewWindow(string newWin, int timing = 0)
        {
            controller.AttachNewWindow(newWin, timing);
        }
        public void AppAttachNewWindow(string newWin,string processWindowName, int timing = 0)
        {
            controller.AttachNewWindow(newWin, processWindowName, timing);
        }
        public void AppAttachNewWindow(int timing = 0)
        {
            controller.AttachNewWindow(timing);
        }

        public void FindNewWindow(int timing = 0)
        {
            controller.FindNewWindow(timing);
        }

        public void SetForeground()
        {
            controller.SetForeground();
        }
        public void AppKill()
        {
            controller.AppKill();
        }
    }
}
